| Face Engine SDK 5.32.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::IFishEyeEstimator Struct Referenceabstract
Estimators

FishEye estimator interface. More...

`#include <IFishEyeEstimator.h>`

Inheritance diagram for fsdk::IFishEyeEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &image, const Detection &detection, FishEyeEstimation &estimation) const noexcept=0
| Estimate fisheye effect probability. More...
virtual Result< FSDKError > | estimate (Span< const Image > images, Span< const Detection > detections, Span< FishEyeEstimation > estimations) const noexcept=0
| Estimate fisheye effect probabilities of multiple frames in a single estimate function call. More...
virtual Result< FSDKError > | estimate (const Image &warp, FishEyeEstimation &estimation) const noexcept=0
| Estimate fisheye effect probability. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< FishEyeEstimation > estimations) const noexcept=0
| Estimate fisheye effect probabilities of multiple frames in a single estimate function call. More...
virtual Result< FSDKError > | validate (Span< const Image > images, Span< const Detection > detections, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

FishEye estimator interface.

Note
  Estimator predicts fish eye effect.

## Member Function Documentation

## ◆ estimate() [1/4]

virtual Result<FSDKError> fsdk::IFishEyeEstimator::estimate | ( | const Image & | image,
|  | const Detection & | detection,
|  | FishEyeEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimate fisheye effect probability.

Parameters

  [in] | image | source image;
  [in] | detection | detection coordinates in image space;
  [out] | estimation | estimation results.

Returns
  Result with error code.

See also
  FishEyeEstimation, Image, Detection, Result and FSDKError for details.

Note
  warp format must be R8G8B8,

See also
  Format.

## ◆ estimate() [2/4]

virtual Result<FSDKError> fsdk::IFishEyeEstimator::estimate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< FishEyeEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Estimate fisheye effect probabilities of multiple frames in a single estimate function call.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space.
  [out] | results | span of estimations.

Returns
  Result with error code.

See also
  FishEyeEstimation, Span, Image, Detection, Result and FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ estimate() [3/4]

virtual Result<FSDKError> fsdk::IFishEyeEstimator::estimate | ( | const Image & | warp,
|  | FishEyeEstimation & | estimation
| ) |  | const
| pure virtual noexcept

Estimate fisheye effect probability.

Parameters

  [in] | warp | image with warped face.
  [out] | estimation | estimation results.

Returns
  Result with error code.

See also
  FishEyeEstimation, Image, Result and FSDKError for details.

Note
  warp format must be R8G8B8,

See also
  Format.

## ◆ estimate() [4/4]

virtual Result<FSDKError> fsdk::IFishEyeEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< FishEyeEstimation > | estimations
| ) |  | const
| pure virtual noexcept

Estimate fisheye effect probabilities of multiple frames in a single estimate function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | results | span of estimations.

Returns
  Result with error code.

See also
  FishEyeEstimation, Span, Image, Detection, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate() [1/2]

virtual Result<FSDKError> fsdk::IFishEyeEstimator::validate | ( | Span< const Image > | images,
|  | Span< const Detection > | detections,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | images | span of source images.
  [in] | detections | span of detection coordinates in corresponding source images space.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Detection, Result, FSDKError for details.

Note
  images format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate() [2/2]

virtual Result<FSDKError> fsdk::IFishEyeEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of images with warped faces.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Result and FSDKError for details.

Note
  warps format must be R8G8B8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/IFishEyeEstimator.h